View Issue Details

IDProjectCategoryView StatusLast Update
0033019Open CASCADEOCCT:Codingpublic2022-06-18 16:04
Reporteraml Assigned Toaml  
PrioritynormalSeverityintegration request 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.7.0 
Summary0033019: Coding - get rid of unused classes
DescriptionI have found that the following classes are rarely used or unused completely within OCCT:

src/Bnd/Bnd_BoundSortBox2d.hxx
src/Bnd/Bnd_SeqOfBox.hxx
src/Quantity/Quantity_Array2OfColor.hxx
src/Quantity/Quantity_PhysicalQuantity.hxx

It is worth getting rid of them to clear the code base.
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot required

Activities

git

2022-06-14 17:39

administrator   ~0109009

Branch CR33019 has been created by aml.

SHA-1: cbd66c516ea04430156f5f0567fa1a8f516ff13d


Detailed log of new commits:

Author: aml
Date: Tue Jun 14 17:02:28 2022 +0300

    0033019: Coding - get rid of unused classes

azv

2022-06-14 17:53

administrator   ~0109010

Please, be careful, Bnd_SeqOfBox is used within OCC Products (OverlapShape_Check.cxx).

aml

2022-06-15 10:19

developer   ~0109027

Dear Kirill,

Could you please take a look at CR33019 branch in OCCT and Products repository.

Jenkins job is:
http://jenkins-test-occt.nnov.opencascade.com/view/CR33019-master-aml/view/COMPARE/

afokin

2022-06-18 12:16

administrator   ~0109081

Combination -
OCCT branch : IR-2022-06-17
master SHA - 94748ad20e40864e60c1035e254ee5afffdc0d50
e0ceb716c70188b98130b1550914140d0502a6f9
Products branch : IR-2022-06-17 SHA - ba8a8a69d4213a88c9195eab6343815f702b57bb
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 18769.010000000537 / 18860.170000000642 [-0.48%]
Products
Total CPU difference: 11750.300000000107 / 11722.3800000001 [+0.24%]
Windows-64-VC14:
OCCT
Total CPU difference: 20650.375 / 20670.390625 [-0.10%]
Products
Total CPU difference: 13263.109375 / 13253.046875 [+0.08%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2022-06-18 16:04

administrator   ~0109090

Branch CR33019 has been deleted by mnt.

SHA-1: cbd66c516ea04430156f5f0567fa1a8f516ff13d

Related Changesets

occt: master 2e0b684d

2022-06-14 17:02:28

aml


Committer: afokin Details Diff
0033019: Coding - get rid of unused classes Affected Issues
0033019
rm - src/Bnd/Bnd_BoundSortBox2d.cxx Diff File
rm - src/Bnd/Bnd_BoundSortBox2d.hxx Diff File
rm - src/Bnd/Bnd_SeqOfBox.hxx Diff File
mod - src/Bnd/FILES Diff File
mod - src/BRepExtrema/BRepExtrema_DistShapeShape.cxx Diff File
mod - src/LocOpe/LocOpe_WiresOnShape.cxx Diff File
mod - src/Quantity/FILES Diff File
rm - src/Quantity/Quantity_Array2OfColor.hxx Diff File
rm - src/Quantity/Quantity_PhysicalQuantity.hxx Diff File

occt-products: master d7e40f25

2022-06-14 19:18:13

aml


Committer: afokin Details Diff
0033019: Coding - get rid of unused classes Affected Issues
0033019
mod - diff Diff File

Issue History

Date Modified Username Field Change
2022-06-14 17:37 aml New Issue
2022-06-14 17:37 aml Assigned To => aml
2022-06-14 17:39 git Note Added: 0109009
2022-06-14 17:53 azv Note Added: 0109010
2022-06-15 10:19 aml Assigned To aml => kgv
2022-06-15 10:19 aml Status new => resolved
2022-06-15 10:19 aml Steps to Reproduce Updated
2022-06-15 10:19 aml Note Added: 0109027
2022-06-15 10:19 aml Target Version 7.6.3 => 7.7.0
2022-06-15 10:47 kgv Assigned To kgv => bugmaster
2022-06-15 10:47 kgv Severity minor => integration request
2022-06-15 10:47 kgv Status resolved => reviewed
2022-06-18 12:15 afokin Test case number => Not required
2022-06-18 12:16 afokin Status reviewed => tested
2022-06-18 12:16 afokin Note Added: 0109081
2022-06-18 16:00 afokin Changeset attached => occt master 2e0b684d
2022-06-18 16:00 aml Assigned To bugmaster => aml
2022-06-18 16:00 aml Status tested => verified
2022-06-18 16:00 aml Resolution open => fixed
2022-06-18 16:00 afokin Changeset attached => occt-products master d7e40f25
2022-06-18 16:04 git Note Added: 0109090